#pragma once

#include "CoreMinimal.h"
#include "CollectionsSingleCampaignRuntimeData.h"
#include "CollectionsCampaignsRuntimeData.generated.h"

USTRUCT(BlueprintType)
struct FCollectionsCampaignsRuntimeData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<FString, FCollectionsSingleCampaignRuntimeData> Campaigns;

public:
	DEADBYDAYLIGHT_API FCollectionsCampaignsRuntimeData();
};

FORCEINLINE uint32 GetTypeHash(const FCollectionsCampaignsRuntimeData) { return 0; }
